<?php

namespace App\Controller\Admin\Territory;

use App\Entity\Territory\Territory;
use Lc\PietroBundle\Controller\Territory\TerritoryAdminController as PietroTerritoryAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class TerritoryAdminController extends PietroTerritoryAdminController
{
    public static function getEntityFqcn(): string
    {
        return Territory::class;
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getTerritoryContainer()->getRepositoryQuery();
    }
}
